## Faust Edition Frontend

This is the web frontend for the Faustedition.

## Installation

The frontend code of the web frontend relies on a lot of generated information that is created from the original source data. The [faust-gen](http://github.com/faustedition/faust-gen) project contains a maven project that will generate everything except for the facsimiles and will copy all data in place, so the recommended way is to use that project to set everything up.

Alternatively, have a look at the documentation below.

Alternatively, configure a web proxy to get the generated stuff mentioned below from the faustedition.net production server.


## Installation without faust-gen

To get up and running, you need to clone this project to your web root and copy or symlink original data as well as data generated by the companion projects to appropriate places to the following subdirectories:

### Faust XML data

* __Target Directory__: `xml`

### Documentary Transcript, SVG Overlays

* __Target Directories__: `transcript/diplomatic`, `transcript/overlay`
* __Generated by__: [faust-gen](http://github.com/faustedition/faust-gen)

### Facsimiles & Metadata

* __Target Directory__: `transcript/facsimile`
* __Generated by__: [faust-gen/convert.sh](http://github.com/faustedition/faust-gen/convert.sh)

### Extracted edition data

* __Target Files__: `data/document_metadata.js`, `data/genetic_bar_graph.json`, `data/scene_line_mapping.js`
* __Generated by__: [faust-gen-html](http://github.com/faustedition/faust-gen-html/)

### Generated textual views

* __Target Directories__: `app`, `print`, `meta`
* __Generated by__: [faust-gen-html/generate-all.xpl](http://github.com/faustedition/faust-gen-html)
* `app` contains the _Einblendungsapparat_, `print` the print / reading text / the variant apparatus
* `meta` contains the generated metadata views (that are shown on the right side of the structure/metadata view). These are currently generated using faust-gen-html/metadata_html.xpl, this will be integrated into `generate-all.xpl`.

### Search

The search functionality is realized using an eXist based search script that needs to be hosted at `/search`, i.e., you'll need to configure a proxy for that path.

The details are documented in the [faust-gen-html](http://github.com/faustedition/faust-gen-html) project.
