## archives.js

Information about each archive.

Generated by
:    create-archives-metadata.xsl
Generated from
:    archives.xml
Required by
:    archive_locations_detail.php   documentViewer.php archive_manuscripts.php archive_locations.php
Global Variable
:    archives

```json
{
  "agad_warszawa": {
    "city": "Warschau",
    "country": "Polen",
    "displayName": "Archiwum Główne Akt Dawnych, Warschau",
    "facsimile": {
      "downloadable": "yes",
      "license": "Archiwum Główne Akt Dawnych, Warschau"
    },
    "geolocation": {
      "lat": "52.255339294085765",
      "lng": "21.008262634277344"
    },
    "name": "Archiwum Główne Akt Dawnych",
    "url": "http://www.agad.archiwa.gov.pl/"
  },
  /* ... */
}
```


## concordanceColumns.js

Column definitions of the various concordance tables.

Manually curated

Required by
: archive_locations_detail.php archive_manuscripts.php
Global Variable
: concordanceColumns

```json
[
  {
    "column": "Sigle",
    "type": "sigil",
    "sigils": [
      "idno_faustedition"
    ]
  },
  /* ... */
]
```

## copyright_notes.js

Copyright notes to display for images either given by URL or for individual repositories.

Manually curated.

Required by
: archive_locations_detail.php archive_manuscripts.php
Global Variable
: copyright_notes

```json
{ "ul_pennstate": "Penn State University Libraries", ... }
```

## documentMetadata

* selected metadata (paths, type, sigils) for each document
* all pages per document with selected information

Generated by
:    metadata2json.xsl
Required by
:    archive_locations_detail.php archive_manuscripts.php documentViewer.php archive_locations.php

```json
{
  "document": "faust/0/gsa_390621.xml",
  "base": "transcript/gsa/390621/",
  "text": "390621.xml",
  "sigils": {
    "headNote": "Zettel. – Entwurf zu ‚Faust I‘.",
    "idno_faustedition": "1 H.3",
    "idno_gsa_1": "GSA 25/XVII,1,1",
    "idno_gsa_2": "GSA 25/W 1360",
    "idno_gsa_ident": "390621",
    "idno_wa_faust": "1 0 2 H",
    "idno_bohnenkamp": "H P5a",
    "idno_wa_gedichte": "P6",
    "note_gsa_1": "",
    "collection": "",
    "repository": "gsa"
  },
  "page": [
    {
      "doc": [
        {
          "uri": "0002.xml",
          "imgLink": "edecdfa7-4b43-4e7c-8f96-5c449460a7cc.svg",
          "img": [
            "gsa/390621/390621_0002"
          ]
        }
      ],
      "empty": false
    },
    {
      "doc": [
        {
          "uri": "0003.xml",
          "imgLink": "b2b0da4d-f1da-4afd-954f-8a15ef0a7a18.svg",
          "img": [
            "gsa/390621/390621_0003"
          ]
        }
      ],
      "empty": false
    }
  ]
},
```

There might be multiple entries in `page.img`, which encodes multiple images of the same page (eg. patches or multispectral images). I have no idea why `doc` is an array. The json file also contains the following static fields:

```json
  "metadataPrefix": "faust://xml/document/",
  "linkPrefix": "faust://xml/image-text-links/",
  "imgPrefix": "faust://facsimile/",
  "printPrefix": "faust://xml/print/",
  "basePrefix": "faust://xml/"
```

## genetic_bar_graph.json

Information about each document's and each page's verse coverage

Generated by
: create-bargraph-info.xsl, compiled by generate-search.xql
Required by
: documentViewer.php genesis_bargraph.php

```json
[
  {
    "sigil": "1 H.1",
    "source": "faust://xml/document/archival/dla_marbach/Cotta_Ms_Goethe_AlH_C-1-12_Faust_I.xml",
    "print": true,
    "intervals": [
      {
        "type": "verseLine",
        "page": 7,
        "section": "Cotta_Ms_Goethe_AlH_C-1-12_Faust_I.2",
        "start": 1,
        "end": 24
      },
```

## paralipomena.js

Paralipomena data.

Note: Maybe generate the paralipomena table directly as HTML instead of using this table? It is only used by one page anyway

Required by: 
: paralipomena.php
Generatey by
: create-para-table.xpl


## print/pages.json

Enthält zu jeder Seite in jedem Dokument den passenden Abschnitt im textuellen Transkript.

Required by
: js/faust_viewer.js
Generated by
: create-pages-table.xpl


```json
  "faust://xml/document/archival/sb_berlin/Nachl_Herder_XXXII-9.xml": {
    "1": "Nachl_Herder_XXXII-9",
    "2": "Nachl_Herder_XXXII-9"
  },
```
