<?php include "includes/header.php"; ?>
<section class="center pure-g-r">
  
  <article class="pure-u-1">
    <p>Die in der digitalen Faustedition enthaltenen Lesetexte des Faust&nbsp;I und des Faust&nbsp;II stellen die getreue Wiedergabe des jeweils zugrundeliegenden Zeugen dar. Für den Faust&nbsp;I ist dies der Druck im <span class="new">achten Band der ersten bei Cotta erschienenen Gesamtausgabe</span> (der sogenannten Ausgabe A). Dem Text des Faust&nbsp;II liegt die 187 Blätter umfassende <a href="https://faustedition.uni-wuerzburg.de/new/document/faust/2/gsa_391098.xml" class="new" title="Große Reinschrift (Seite nicht vorhanden)">große Reinschrift</a> zugrunde (WA-Sigle: H). Für die Wiedergabe gelten dabei dieselben Prinzipien wie für die <a href="A_Transkriptionsprinzipien/#text_Transkr_Hss" class="new" title="Textuellen Transkriptionen (Seite nicht vorhanden)">textuellen Transkriptionen</a> des digitalen Archivs. Im Unterschied zu den übrigen Textwiedergaben fehlt im Lesetext jedoch die Markierung von Seitengrenzen.</p>
    <p>Die Herstellung eines Lesetextes geschieht üblicherweise in der Absicht, einen ‚letztgültigen‘, d.h. dem letzten Willen des Autors entsprechenden, oder einen anderen möglichst ‚authentischen‘ Text herzustellen. Bei diesem Versuch tritt auch im Fall des Faust eine Reihe von textkritischen Problemen in Gestalt von Stellen auf, an denen der Text offensichtlich oder möglicherweise fehlerhaft ist oder aus anderen Gründen der mutmaßlichen Absicht des Autors widerspricht. Oft wird dann vom Wortlaut des zugrundeliegenden Zeugen zugunsten der Lesart eines anderen Zeugen, gelegentlich auch von der gesamten Überlieferung abgewichen.<sup><a href="#footnote1">1</a></sup></p>
    <p>Die getreue Wiedergabe der genannten Zeugen stellt weder eine Lösung der textkritischen Probleme noch einen Ersatz für eine solche Lösung dar. Gegenüber editorisch verantworteten Entscheidungen, die in den gedruckten Textbänden gefällt werden und später auch in den digitalen Teil der Edition Eingang finden sollen, hat die Zeugenwiedergabe einen vorläufigen Status. Mit der Wahl der Ausgabe A für den Lesetext des Faust&nbsp;I ist auch nicht bezweckt, die in den Ausgaben <span class="new">B</span> und <span class="new">C</span> vorgenommenen Änderungen in ihrer Autorität generell herabzustufen. Die Lesetexte dienen vielmehr hauptsächlich als philologisch gesicherter Bezugstext für die genetische Darstellung und als Ausgangspunkt des Wegs zum digitalen Archiv, das selbst wiederum als Grundlage der Textkritik dient.</p>

    <table class="pure-table">
      <tbody>
        <tr>
          <td valign="top" align="center">
            <a href="T_Lesetext_Faust_I"><i>Zum Lesetext von Faust&nbsp;I</i></a>
          </td>
          <td valign="top" align="center">
            <a href="T_Lesetext_Faust_II"><i>Zum Lesetext von Faust&nbsp;II</i></a>
          </td>
        </tr>
      </tbody>
    </table>

    <h2>Apparate</h2>

    <h3>Zeilensynoptische Darstellung</h3>
    <p>Mehrfach überlieferte Passagen des Lesetextes sind farblich unterlegt. Die unterschiedliche Färbung verrät den Grad der Varianz: Je dunkler eine Stelle markiert ist, desto mehr Varianten weist sie auf. Der Grad der Abweichung wirkt sich hingegen nicht auf die Unterlegung aus. Die Varianzeinfärbung dient als Orientierung für das Aufspüren genetisch aufschlussreicher Passagen im Text.</p>
    <p><img alt="" src="img/Varianzeinfaerbung.png" height="186" width="386"></p>
    <p>
      Die Einzelzeilensynopse ist im Lesetext von Faust&nbsp;I bzw. Faust&nbsp;II verankert.
      <br>
      Für jeden Vers, auch auch für jede Überschrift, Sprecherbezeichnung, Bühnenanweisung usw. ist eine chronologisch geordnete Liste der Fassungen abrufbar, in denen das betreffende Textsegment überliefert ist. Die am Rand stehende Kurzbezeichnung führt zur Einzeldarstellung des betreffenden Zeugen.
      <br>
      Handschriften und Drucke werden, wenn möglich, mit den gebräuchlichsten Siglen bezeichnet. Im Fall der Handschriften sind dies die von Erich Schmidt in den Faust-Bänden der Weimarer Ausgabe eingeführten Siglen. Tragen Handschriften dort keine Sigle, treten die von der späteren Faust-Forschung vergebenen Bezeichnungen oder die in der Akademie- und der Weimarer Ausgabe (WA) eingeführten Siglen ein. Steht keine Sigle zur Verfügung, wird auf die Archivsignatur zurückgegriffen. Wenn es sich nicht um eine von Schmidt herrührende Sigle handelt, wird die Herkunft der Bezeichnung ausgewiesen.
      <br>
      Drucke werden mit den durch Waltraud Hagen eingeführten Siglen bezeichnet. Trägt ein Druck dort keine Sigle, werden die durch die WA eingeführten Siglen, ersatzweise die Archivsignatur verwendet. Die Bezeichnungen, die nicht von Hagen herrühren, werden als solche explizit gekennzeichnet.
    </p>

    <h3>Synoptischer Apparat</h3>
    <p>Der synoptische Apparat zeigt die Varianten eines Verses. Änderungen sind schwarz, gleichbleibender Text grau.</p>
    <p><img alt="" src="img/synoptischerApp.png" height="336" width="707"></p>
    <p>Zum synoptischen Apparat gelangt man über die Einzelzeilensynopse im Lesetext von Faust&nbsp;I oder Faust&nbsp;II.</p>

    <h3>Stufenapparat</h3>
    <p>Der Stufenapparat wird für die Darstellung von Binnenvarianz verwendet. Er eignet sich dabei besonders gut für die Vermittlung textgenetischer Zusammenhänge in Entwurfshandschriften.</p>
    <p>Der Apparat ist von oben nach unten und von links nach rechts zu lesen. Eine Textstufe wird dabei durch die nachfolgende aufgehoben (2 hebt 1 auf, b hebt a auf).</p>
    <p><img alt="" src="img/Stufenapparat.png" height="218" width="414"></p>
    <p>Zum Stufenapparat gelangt man über die Einzelzeilensynopse im Lesetext von Faust&nbsp;I oder Faust&nbsp;II.</p>

  </article>

</section>

<section class="center pure-g-r">
  <div class="pure-u-1">
    <hr>
    <p id="footnote1"><small><sup>1</sup> Text</small></p>
  </div>
</section>
<script type="text/javascript">
    requirejs(['faust_common'], function(Faust) {
      document.getElementById('breadcrumbs').appendChild(Faust.createBreadcrumbs(
          [{caption: "Ausgabe", link: "intro"}, {caption: "Lesetext"}]));
    });
</script>
<?php include "includes/footer.php"; ?>
